<template>
	<div class="app-container">

		<el-form :model="queryParams" ref="queryForm" :inline="true" v-show="showSearch" label-width="100px">
			<el-row>
        <el-col :span="24">
        	<el-row>
        		<el-col :span="14" class="jehak">
              <el-col :span="12">
              	<el-form-item label="身份证号" prop="zjhm">
              		<el-input v-model="queryParams.zjhm" placeholder="请输入身份证号码" style="width:200px;" clearable @keyup.enter.native="handleQuery" />
              	</el-form-item>
              </el-col>
               <el-col :span="12">
                 <el-form-item label="姓名" prop="xm">
                 	<el-input v-model="queryParams.xm" placeholder="请输入姓名" style="width:200px;" clearable @keyup.enter.native="handleQuery" />
                 </el-form-item>
               </el-col>
        		</el-col>
            <el-col :span="9">
              <el-form-item label="核酸地点" prop="villagerGroup">
                <el-select style="width: 154%;" v-model="queryParams.cjqxqh" placeholder="核酸地点" clearable   @keyup.enter.native="handleQuery"
                   >
                	<el-option v-for="dict in hsese" :key="dict.dictValue" :label="dict.dictLabel" :value="dict.dictValue" />
                </el-select>
                <!-- <el-cascader
                	placeholder="点击选择区域"
                	:options="optionsLists"
                	filterable
                	@change="chahetwos"
                	:props="optionPropsssd"
                	style="width: 154%;"
                	@keyup.enter.native="handleQuery"
                  ref = "cdd"
                  v-model="listd"
                  @active-item-change="handleItemChanges"
                ></el-cascader> -->

              </el-form-item>
            </el-col>

        	</el-row>
        </el-col>
				<el-col :span="24">
					<el-row>
            <el-col :span="14">
              <el-col :span="12">
               <el-form-item label="采集开始时间" prop="startTime">
               <el-date-picker
               	clearable
               	v-model="queryParams.params.startTime"
               	type="datetime"
               	value-format="yyyy-MM-dd HH:mm:ss"
               	format="yyyy-MM-dd HH:mm:ss"
               	placeholder="选择开始时间"
               	style="width: 200px;"
               ></el-date-picker>
               </el-form-item>
              </el-col>
              <el-col :span="12">
              	<el-form-item label="采集结束时间" prop="endTime">
              	<el-date-picker
              		clearable
              		v-model="queryParams.params.endTime"
              		type="datetime"
              		value-format="yyyy-MM-dd HH:mm:ss"
              		format="yyyy-MM-dd HH:mm:ss"
              		placeholder="选择结束时间"
              		style="width: 200px;"
              	></el-date-picker>
              	</el-form-item>
              </el-col>
            </el-col>



            <!-- <el-col :span="6">
              <el-form-item label="是否核酸" prop="isNucleicAcid">
              	<el-select v-model="queryParams.isNucleicAcid" placeholder="是否核酸" clearable style="width:160px;"  @keyup.enter.native="handleQuery"
              	   >
              		<el-option v-for="dict in statusOptionstue" :key="dict.dictValue" :label="dict.dictLabel" :value="dict.dictValue" />
              	</el-select>
              </el-form-item>
            </el-col> -->
           <el-col :span="9" >
           	<el-form-item>
           		<el-button type="primary" icon="el-icon-search" size="mini" @click="handleQuery">搜索</el-button>
           		<el-button icon="el-icon-refresh" size="mini" @click="resetQuery">重置</el-button>
           	</el-form-item>
           </el-col>
					</el-row>
				</el-col>
				<el-col :span="24">
					<el-row>


					</el-row>
				</el-col>
			</el-row>
		</el-form>

		<el-row :gutter="10" class="mb8">
			<!-- <el-col :span="1.5"><el-button type="primary" plain icon="el-icon-plus" size="mini" @click="handleAdd(0)" >新增户主</el-button></el-col> -->
			<el-col :span="1.5">
				<!-- <el-button type="success" plain icon="el-icon-edit" size="mini" :disabled="single" @click="handleUpdate" >修改</el-button> -->
			</el-col>
			<el-col :span="1.5">
			<!-- 	<el-button type="danger" plain icon="el-icon-edit" size="mini" :disabled="multiple" @click="handleDelete" >变更</el-button> -->
			</el-col>
      <el-col :span="1.5">
      	<!-- <el-button type="success" plain icon="el-icon-download" size="mini"  @click="handleDeleteda" >下载模板</el-button> -->
      </el-col>
      <!-- v-if="queryParams.status == 4" -->

     <!-- <el-col :span="1.5" >
       <el-button
          type="success"
          plain
          icon="el-icon-view"
          size="mini"
          @click="handleDeletefamide"
        >统计功能</el-button>
      </el-col> -->
      <el-col :span="1.5" >
        <!-- <el-col :span="1.5" >
          <el-button
            type="info"
            plain
            icon="el-icon-upload2"
            size="mini"
            @click="handleImport"
            v-hasPermi="['system:czrk:importData']"
          >导入</el-button>
        </el-col> -->
      <el-button
          type="warning"
          plain
          icon="el-icon-download"
          size="mini"
          @click="handleExport"
          v-hasPermi="['system:accountingData:exportHsd']"
        >导出</el-button>
      </el-col>
      <!-- <el-col :span="1.5" >
      <el-button
          type="warning"
          plain
          icon="el-icon-download"
          size="mini"
          @click="handleExports"
          v-hasPermi="['system:accountingData:exportCz']"
        >导出常住信息</el-button>
      </el-col> -->

      <el-col :span="1.5" v-for="(ietm,index) in jbuttomfs" :key="index">
                  	<!-- <el-button type="primary" :plain="nhslke == ietm.dictValue ? false :true" icon="el-icon-view" size="mini"  @click="chajnd(ietm.dictValue)" >{{'查看' + ietm.dictLabel + '人口信息'}}</el-button> -->
            </el-col>
      <!-- <el-col :span="1.5">
      	<el-button type="primary" :plain="nhykis" icon="el-icon-view" size="mini"  @click="chajnd" >查看常住人口核酸检测信息</el-button>
      </el-col>
      <el-col :span="1.5">
      	<el-button type="primary" :plain="nhyki" icon="el-icon-view" size="mini"  @click="chajnds" >查看户籍人口核酸检测信息</el-button>
      </el-col> -->

			<right-toolbar :showSearch.sync="showSearch" @queryTable="getList"></right-toolbar>
		</el-row>

		<el-table  v-if="nbdgywkajs == true"   v-loading="loading" :data="infoList" @selection-change="handleSelectionChange" stripe style="width: 100%" :height="tableMaxHeight">
			<el-table-column label="姓名" align="center" prop="xm"   width="110" fixed="left"/>
      <el-table-column label="身份证号码" align="center" prop="zjhm" width="180" fixed="left" />
      <el-table-column label="联系电话(核酸检测登记)" align="center" prop="lxdh" width="180" />
      <!-- <el-table-column v-if="queryParams.queryType == 'hj'" label="户籍地址" width="360" align="center"  >
        prop="domicileSelect"
        style="text-align: left;"

        <template slot-scope="scope">
                 <div v-if="scope.row.nowIn !==null"  v-html="scope.row.domicileSelect  + '<br>' + scope.row.nowIn">
                 </div>
                 <div v-else  v-html="scope.row.domicileSelect  + '<br>' + ''">
                 </div>
        </template>
        </el-table-column> -->
      <!-- <el-table-column v-if="queryParams.queryType == 'cz'" label="居住地址" align="center" width="360" >
        <template slot-scope="scope">
                 <div v-if="scope.row.nowIn !==null"  v-html="scope.row.nowInSelect + '<br>' + scope.row.nowIn">               </div>
                 <div v-else   v-html="scope.row.nowInSelect + '<br>' + ''">               </div>
        </template>
        </el-table-column> -->
        <el-table-column label="采集乡镇" align="center" prop="cjssxq" width="180" />
        <el-table-column label="采集时间" align="center" prop="cjsj" width="102" />
        <el-table-column label="采集地点" align="center" prop="cjdd"  />
        <el-table-column label="审核时间" align="center" prop="jcsj" width="102" />
        <el-table-column label="核验点名称" align="center" prop="jcdd"  />
		</el-table>

<!-- v-if="queryParams.queryType == 'hj'" -->
<pagination  v-show="total > 0" :total="total" :page.sync="queryParams.pageNum" :limit.sync="queryParams.pageSize" @pagination="getList" />
    <!-- <pagination v-if="queryParams.queryType == 'cz'" v-show="total > 0" :total="total" :page.sync="queryParams.pageNum" :limit.sync="queryParams.pageSize" @pagination="getListjuzhu" /> -->
<!-- v-loading="loading" -->
		<!-- 添加或修改疫苗信息对话框 -->

    <!-- 导入对话框 -->
    <el-dialog :close-on-click-modal="false" :title="upload.title" :visible.sync="upload.open" width="400px" append-to-body>
      <!-- upload.url + '?source=' + upload.source -->
      <el-upload
        ref="upload"
        :limit="1"
        accept=".xlsx, .xls"
        :headers="upload.headers"
        :action="upload.url"
        :disabled="upload.isUploading"
        :on-progress="handleFileUploadProgress"
        :on-success="handleFileSuccess"
        :auto-upload="false"
        drag
      >
        <i class="el-icon-upload"></i>
        <div class="el-upload__text">
          将文件拖到此处，或
          <em>点击上传</em>
        </div>
        <div class="el-upload__tip" slot="tip">
          <!-- <div class="nhkhv">
            <span><i>*</i>数据来源:</span>
            <el-select v-model="upload.source" placeholder="请选择数据来源"    style="width: 100%;">
            	<el-option v-for="dict in typeOptionstimesgt" :key="dict.dictValue" :label="dict.dictLabel" :value="dict.dictValue" />
            </el-select>
          </div> -->
          <el-link type="info" style="font-size:14px;text-align: center;color: #5E8AC6; width: 100%;" @click="importTemplate">下载模板</el-link>
        </div>
        <div class="el-upload__tip" style="color:red" slot="tip">提示：仅允许导入“xls”或“xlsx”格式文件！</div>
      </el-upload>
      <div slot="footer" class="dialog-footer">
        <el-button type="primary" @click="submitFileForm">确 定</el-button>
        <el-button @click="nske">取 消</el-button>
      </div>
    </el-dialog>
	</div>
</template>

<script>
import { listInfo, listInfos, getInfo, delInfo, addInfo, updateInfo, exportInfo, listRoleer, idces, delInfort,yiaoe,exportConfig,exportConfigtyr,importLog,listInfotj,listRoleergth,listInfotjxz,listInfotjjs,listInfotjjsfaml,listRoleergthwg,listInfotjjssbule,listInfotjjssquer } from '@/api/system/ucleics';
import {listInfosls} from '@/api/system/residentss';
// import { treeselect } from '@/api/system/dept';
import { treeselect,treeselectdepts } from "@/api/system/dept";
import Treeselect from '@riophae/vue-treeselect';
import { getToken } from '@/utils/auth';
import '@riophae/vue-treeselect/dist/vue-treeselect.css';
import "@riophae/vue-treeselect/dist/vue-treeselect.css";
import { getUserProfile } from "@/api/system/user";
export default {
	name: 'Info',
	components: { Treeselect },
	data() {
		return {
			// 遮罩层
			loading: true,
      tj:{},
			// 选中数组
			ids: [],
			// 非单个禁用
			single: true,
			// 非多个禁用
			multiple: true,
			// 显示搜索条件
			showSearch: true,
			// 总条数
			total: 0,
      user:{
        dept:{deptName:null}
      },
      id:'fg',
      idsf:'gh',
      ruleshy:{},
			// 疫苗信息表格数据
			infoList: [],
			dialogImageUrl: '',
      // 用户导入参数
      upload: {
        // 是否显示弹出层（用户导入）
        open: false,
        // 弹出层标题（用户导入）
        title: "",
        // 是否禁用上传
        isUploading: false,
        // 是否更新已经存在的用户数据
        source: null,
        // 设置上传的请求头部
        headers: { Authorization: "Bearer " + getToken() },
        // 上传的地址
        url: process.env.VUE_APP_BASE_API + "/boman-web-core/core/jzdz/importData"
      },
			// 弹出层标题
			title: '',
      totalfr:0,
			// 是否显示弹出层
			opens: false,
			process: process.env.VUE_APP_BASE_API,
			// 查询参数
			queryParams: {
				xm:null,
        zjhm:null,
        isNucleicAcid:null,
        timeSlot:null,
        pageNum: 1,
        pageSize: 10,
        params:{
          startTime:null,
          endTime:null
        }
			},
			config: [],
      nhyeswdga:{nhus:[]},
			comfietg:[],
			configther:[],
			configfor:[],
      optionsListwg:[],
      nhduesw:0,
      nhslke:'3',
			// 表单参数
			form: {
				nowIn: '',
				age:'',
				code:'',
				czrkJzdzList: [
				]
			},
      nhykis:true,
      nhyki:false,

			// 表单校验
			rules: {
      },
      // yhzgx:[{ required: true, message: '请选择与户主关系', trigger: 'blur' }],
			selected: [],
			selectedtwo: [],
			statusOptions: [
				{
					dictValue: '女',
					dictLabel: '女'
				},
				{
					dictValue: '男',
					dictLabel: '男'
				}
			],
			statusOptionstue: [
				{
					dictValue: 'Y',
					dictLabel: '完成'
				},
				{
					dictValue: 'N',
					dictLabel: '未完成'
				}
			],
			typeOptionshuuj: [
				{
					dictValue: '是',
					dictLabel: '是'
				},
				{
					dictValue: '否',
					dictLabel: '否'
				}
			],
      typeOptionshuujs: [
      	{
      		dictValue: 'Y',
      		dictLabel: '是'
      	},
      	{
      		dictValue: 'N',
      		dictLabel: '否'
      	}
      ],
			deptOptionstwo: [],
			options: [],
      optionss:[],
      optionsList: [],
			optionProps: {
				value: 'areaId',
				label: 'name',
				checkStrictly: true,
			},
      optionPropsssd:{
        value: 'areaId',
        label: 'name',
        checkStrictly: true,
        lazy: true,
        lazyLoad: this.lazyLoads,
        leaf: "leaf"
      },
      optionPropsss: {
      	value: 'areaId',
      	label: 'name',
      	checkStrictly: true,
      },
      // optionPropsss: {
      // 	value: 'id',
      // 	label: 'label',
      // 	checkStrictly: true,
      // },
      optionPropsssdwg:{
        value: 'id',
        label: 'areaName',
        checkStrictly: true,
      },
			optionPropstwo: {
				value: 'id',
				label: 'label',
				children: 'children',
				checkStrictly: true
			},
			heuiq: [],
			typeOptions: [],
			typeOptionsty: [
				{
					dictValue: '是',
					dictLabel: '是'
				},
				{
					dictValue: '否',
					dictLabel: '否'
				}
			],
			typeOptionstyzandeh:[],
			angesList: [

			],
			typeOptionsname: [],
			typeOptionstimes: [],
			typeOptionsvaccinatio: [],
			typeOptionscont: [],
			typeOptionscontty: [],
			typeOptionscontqit:[],
			// 剂次
			typeOptionstimesgt: [

			],
			imashow: false,
			naneme: false,
			shouwes: false,
			shouwestwo:false,
			villageTownshy: undefined,
			naiseurya: '',
			hsuej: '',
			jdourdjoaj: false,
      senlsduea:false,
			jiezhong: false,
			jiezheList: [],
			fireLise:{config:[]},
			nameutaiL:0,
			jue:false,
			nhue:true,
      exportflag:true,
      errorlog:false,
      errorList:[],
      idfer:0,
      formgt:{},
      list: [],
      listd:[],
      lser:[],
      ndhesdweaf :'点击选择网格',
      dneyhsd:{},
      nhdyesfgh:'点击选择户籍地址',
      nhe:false,
      nhyesoder:0,
      ndhuwosdjh:{
        pageNum: 1,
        pageSize: 10,
      },
      tableMaxHeight:300,
      cascaderKey:0,
      optionsLists:[],
      nhyeojd:false,
      ndhyuewkg:[],
      nhdyesku:false,
      nbdgywkajs:false,
      shifouh:true,
      bhdes:{},
      nhtrew:false,
      bgtes:[],
      ndheysfs:false,
      nhyesaw:1,
      nhyesfx:false,
      jbuttomfs:[],
      biangneg:false,
      bgls:[],
      pighomeList:[],
      optiodne:[],
      nnd:[],
      nhye:false,
      njkis:'hj',
      hsese:[]
		};
	},

	created() {
    this.queryParams.params.startTime = this.ShowDate('1')
    this.queryParams.params.endTime = this.ShowDate('0')
		this.getList();
    console.log(this.ShowDate('7'))
		// 核酸地点
		this.getDicts('sys_hesuan_place').then(response => {
			this.hsese = response.data;
      // this.jbuttomfs = response.data
		});

    window.onresize = () => {
                    this.changeTableMaxHeight()
                  }
                  this.changeTableMaxHeight()


	},
	mounted() {
		console.log(136)
    window.onresize = () => {
                    this.changeTableMaxHeight()
                  }
                  this.changeTableMaxHeight()
	},

	methods: {
    //  获取猪舍
    homeNameFormat(row, column) {
      return this.selectDictLabel(this.typeOptions,row.status);
      },
    // 筛选节点
    filterNode(value, data) {
      if (!value) return true;
      return data.name.indexOf(value) !== -1;
    },
    nhyeosdsef(){
     console.log(234)
    },
    /** 转换菜单数据结构 */
    normalizer(node) {
      if (node.children && !node.children.length) {
        delete node.children;
      }
      return {
        id: node.id,
        label: node.label,
        children: node.children
      };
    },

		onSelected(data,val) {
			console.log(data, 125);
      if(this.opens == false){
        return  false
      }
      this.nameutaiL = data
      this.nhyeojd = false
      // this.nhdyesku = false
			// province
      let nhdye = []
      nhdye = this.$refs['myCascaderf' + '' + data][0].getCheckedNodes()[0].pathLabels
      let nhyhe = []
      nhyhe = this.form.czrkJzdzList[data].seleted
      if(nhdye.length == 1){
        this.form.czrkJzdzList[data].provinceId = nhyhe[ nhyhe.length - 1];
        this.form.czrkJzdzList[data].province = nhdye[ nhdye.length - 1];
        this.form.czrkJzdzList[data].cityId = null
        this.form.czrkJzdzList[data].city = null
        this.form.czrkJzdzList[data].regionId = null
        this.form.czrkJzdzList[data].region = null
        this.form.czrkJzdzList[data].townId = null
        this.form.czrkJzdzList[data].town = null
        this.form.czrkJzdzList[data].villageId = null
        this.form.czrkJzdzList[data].village = null
      }else if(nhdye.length == 2){
        this.form.czrkJzdzList[data].cityId = nhyhe[ nhyhe.length - 1];
        this.form.czrkJzdzList[data].city = nhdye[ nhdye.length - 1];
        this.form.czrkJzdzList[data].regionId = null
        this.form.czrkJzdzList[data].region = null
        this.form.czrkJzdzList[data].townId = null
        this.form.czrkJzdzList[data].town = null
        this.form.czrkJzdzList[data].villageId = null
        this.form.czrkJzdzList[data].village = null
      }else if(nhdye.length == 3){
        this.form.czrkJzdzList[data].regionId = nhyhe[ nhyhe.length - 1];
        this.form.czrkJzdzList[data].region = nhdye[ nhdye.length - 1];
        this.form.czrkJzdzList[data].townId = null
        this.form.czrkJzdzList[data].town = null
        this.form.czrkJzdzList[data].villageId = null
        this.form.czrkJzdzList[data].village = null
      }else if(nhdye.length == 4){
        this.form.czrkJzdzList[data].townId = nhyhe[ nhyhe.length - 1];
        this.form.czrkJzdzList[data].town = nhdye[ nhdye.length - 1];
        this.form.czrkJzdzList[data].villageId = null
        this.form.czrkJzdzList[data].village = null
      }else if(nhdye.length == 5){
        this.form.czrkJzdzList[data].villageId = nhyhe[ nhyhe.length - 1];
        this.form.czrkJzdzList[data].village = nhdye[ nhdye.length - 1];
      }
     this.form.czrkJzdzList[data].deptId =  nhyhe[ nhyhe.length - 1]
      console.log(this.form)
		},
		dakousr() {
			console.log(2345);
		},
    mnyesfjer(index,val){
      this.loading = true;
      let pids = {}
      pids.pid = index
      listRoleergth(pids).then(response => {
        // this.cascaderKey = this.cascaderKey + 1
        if(response.data.length == 0){
          return
        }
        if(val !== undefined){
          this.nameutaiL = val
        }
         console.log(this.nameutaiL,87)
        this.optionsLists = this.handleData(response.data);
      	this.loading = false;
        console.log(this.cascaderKey,8765)
      });
    },
    mnyesfjerty(index,val){
      this.loading = true;
      let pids = {}
      pids.pid = index
      listRoleergth(pids).then(response => {
        // this.cascaderKey = this.cascaderKey + 1
        if(response.data.length == 0){
          return false
        }
        for(var i = 0 ; i < this.form.czrkJzdzList.length ; i++){
        }
      	this.loading = false;
        console.log(this.cascaderKey,8765)
      });
    },

    mnyesfjerop(index){
      this.loading = true;
      let pids = {}
      pids.pid = index
      listRoleergth(pids).then(response => {
      	this.optionsList = this.handleData(response.data);
      	this.loading = false;
      });
    },

    mnyesfjeropwg(index){
      this.loading = true;
      let pids = {}
      pids.pid= index
      listRoleergthwg(pids).then(response => {
      	this.optionsListwg = this.handleDatawg(response.data);
      	this.loading = false;
      });
    },
    mnyesfjers(index){
      this.loading = true;
      let pids = {}
      pids.pid = index
      listRoleergth(pids).then(response => {
        // this.cascaderKey = this.cascaderKey + 1
        if(response.data.length == 0){
          return false
        }
      	this.optionsList = this.handleData(response.data);
      	this.loading = false;
        console.log(this.cascaderKey,8765)
      });
    },
   idjeus(data){
    console.log(data,2347)
    // this.cascaderKey = this.cascaderKey + 1
   },
     format() {
          let res =  this.getfristChild(); // 拿一级数据
          this.list.forEach((item) => {
            // 遍历回显的id 二维数组
            if (item.length > 1) {
              item.forEach(async (sitem, index) => {
                if (index == item.length - 1) {
                  return; // 如果是一级节点就不用查找了
                }
                let arr =  this.getOther(sitem); // 不是一级，获取子级
                this.findItem(res, arr, sitem); //  判断当前拿到的子级数据属于哪个一级数据下的子级，并且加到当前一级的children属性下
              });
            }
          });
           },
     // 递归判断
           findItem(res, arr, id) {
            for (let i = 0; i < res.length; i++) {
              if (res[i].value === id) {
                res[i].children = arr; // 有chidlren 也要判断是不是这个children下的子级
                return res;
              }
              if (res[i].children) {
                this.findItem(res[i].children, arr, id);
              }
            }
             return res;
          },

   	     handleItemChange(val) {
           console.log(val,235)
   	        let code = val ? val[val.length - 1] : '';  //需请求数据的上级地址的code值
   	        let level = val.length + 1;  //需请求第几级地址
            console.log(this.nameutaiL,2345)
            console.log(this.form.czrkJzdzList,12365)
            this.$set(this.form.czrkJzdzList[this.nameutaiL],'optiodne',this.handleData(this.form.czrkJzdzList[this.nameutaiL].optiodne, code, level))
          },


          handleItemChangefr(val) {
            console.log(val,235)
             let code = val ? val[val.length - 1] : '';  //需请求数据的上级地址的code值
             let level = val.length + 1;  //需请求第几级地址
             this.optionsList = this.handleData(this.optionsList, code, level);
          	},

          handleItemChanges(val) {
            console.log(val,235)
             let code = val ? val[val.length - 1] : '';  //需请求数据的上级地址的code值
             let level = val.length + 1;  //需请求第几级地址
             this.optionsLists = this.handleData(this.optionsLists, code, level);
             this.cascaderKey = this.cascaderKey + 1
          	},

         	handleData(data, val, level) {
            console.log(data,val,level,7536)
   	        for (let i = 0; i < data.length; i++) {
   	          if(!data[i].children) {
   	            this.$set(data[i], 'children', []);
   	          }
   	          if(data[i].areaId === val){
                let vfer = {}
                vfer.pid = val
   	            listRoleergth(vfer).then(res => {
                  // this.cascaderKey = this.cascaderKey + 1
   	              if(res.data.length) {
                    console.log(data[i].children,4567)
   	                // data[i].children = res.data;
                    this.$set(data[i], 'children', res.data)
                    console.log(data[i].children,45678)
                     // this.nhdyesku = true
   	                data[i].children.forEach(ele => {
   	                  this.$set(ele, 'children', [])
   	                });
   	              }else {
   	                data[i].children = undefined;
   	              }
   	            }).catch(err => {
   	            });
   	          }else {
   	            if(data[i].children.length){
   	              this.handleData(data[i].children,val,level)
   	            }
   	          }
   	        }

             return data;
         },

         handleItemChangefrwg(val) {
           console.log(val,235)
            let code = val ? val[val.length - 1] : '';  //需请求数据的上级地址的code值
            let level = val.length + 1;  //需请求第几级地址
            this.optionsLists = this.handleDatawg(this.optionsLists, code, level);
         	},
         handleDatawg(data, val, level) {
            console.log(data,val,level,7536)
            for (let i = 0; i < data.length; i++) {
              if(!data[i].children) {
                this.$set(data[i], 'children', []);
              }
              if(data[i].id === val){
                let vfer = {}
                vfer.pid = val
                listRoleergthwg(vfer).then(res => {
                  // this.cascaderKey = this.cascaderKey + 1
                  if(res.data.length) {
                    console.log(data[i].children,4567)
                    // data[i].children = res.data;
                    this.$set(data[i], 'children', res.data)
                    console.log(data[i].children,45678)
                     this.nhdyesku = true
                    data[i].children.forEach(ele => {
                      this.$set(ele, 'children', [])
                    });
                  }else {
                    data[i].children = undefined;
                  }
                }).catch(err => {
                });
              }else {
                if(data[i].children.length){
                  this.handleDatawg(data[i].children,val,level)
                }
              }
            }

             return data;
         },

		onSelectedtwo(data) {
			console.log(data);
			// province
			this.queryParams.province = data[0];
			this.queryParams.city = data[1];
			this.queryParams.region = data[2];
			// this.queryParams.villageTowns = data[3]
		},
		/** 查询户籍疫苗信息列表 */
		getList() {
			this.loading = true;
      this.nbdgywkajs = true
      // this.total = 0
			listInfo(this.queryParams).then(response => {
				this.infoList = response.rows;
        this.nbdgywkajs = true
				this.total = response.total;
				this.loading = false;
			});
		},
    /** 查询居住疫苗信息列表 */
    getListjuzhu() {
    	this.loading = true;
      this.nbdgywkajs = true

    	listInfos(this.queryParams).then(response => {
    		this.infoList = response.rows;
        this.nbdgywkajs = true
    		this.total = response.total;
    		this.loading = false;
    	});
    },
    // 变更历史
    getListls(row) {
    	this.loading = true;
      // this.nbdgywkajs = true
      this.biangneg = true
    	listInfosls(row).then(response => {
    		this.bgls = response.data;
        // this.nbdgywkajs = true
    		this.total = response.total;
    		this.loading = false;
    	});
    },

		getToken() {
			return getToken();
		},
		getTreeselectjue() {
			this.loading = true;
      let pids = {}
      pids.pid = 0
			listRoleer().then(response => {
				this.options = response.data;
				this.loading = false;
			});
		},
    // 统计数据
    getTreeselectjuetj() {
    	this.loading = true;
      this.dneyhsd = []
      listInfotj().then(response => {
        if(response.data !== undefined){
          this.dneyhsd =  response.data
        }else{
          this.dneyhsd.push({dqdw:null,zhen:null,cun:null,zu:null,czzrs:null,czxz:null,czjs:null,hjzrs:null,hjxz:null,dneyhsd:null})
        }

        this.loading = false;
      });
    },

		// 点击组/角色
		djieskle(node, instanceId) {
			// this.personnel(node.id);
			console.log(node, instanceId);
		},
    nhyu(value, instanceId){
      console.log(value, instanceId);
    },
		// 身份证
		idcde(event) {
			console.log(event);
			// 身份证号码为15位或者18位，15位时全为数字，18位前17位为数字，最后一位是校验位，可能为数字或字符X
			let reg = /^([1-6][1-9]|50)\d{4}(18|19|20)\d{2}((0[1-9])|10|11|12)(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$/;
      let _IDre15 =  /^([1-6][1-9]|50)\d{4}\d{2}((0[1-9])|10|11|12)(([0-2][1-9])|10|20|30|31)\d{3}$/;
      // 护照
       // let ncjsle = /^1[45][0-9]{7}$|(^[P|p|S|s]\d{7}$)|(^[S|s|G|g|E|e]\d{8}$)|(^[Gg|Tt|Ss|Ll|Qq|Dd|Aa|Ff]\d{8}$)|(^[H|h|M|m]\d{8,10}$)/;
       let ncjsle = /^[a-zA-Z0-9]{5,17}$/
       let nhyeli = /^[a-zA-Z]{5,17}$/
      // 港澳
      let gnse = /^([A-Z]\d{6,10}(\(\w{1}\))?)$/;
      // 台湾
      // let tw = /^\d{8}|^[a-zA-Z0-9]{10}|^\d{18}$/
      var tw =  /^[0-9]{8}$/;
       var twe = /^[0-9]{10}$/;
      // 校验身份证：
      console.log(reg.test(this.form.idCard),23741)
			if ( reg.test(this.form.idCard)|| _IDre15.test(this.form.idCard)) {
				this.idea();
				// this.go(this.form.idCard.length);
				// callback()
			} else {
        if(ncjsle.test(this.form.idCard) || nhyeli.test(this.form.idCard)){
           console.log(3)
        }else{
          if(gnse.test(this.form.idCard)  ){
              console.log(4)
          }else{
            if(tw.test(this.form.idCard) || twe.test(this.form.idCard)){
              console.log(5)
            }else{
              this.msgInfo('证件格式不正确');
            }

            // return false
          }

        }
				// callback(new Error('身份证号码不正确'))
			}
		},
		// 实现自动生成生日，性别，年龄
		go(val) {
			let iden = this.form.idCard;
			let sex = null;
			let birth = null;
			let birthr = '';
			let myDate = new Date();
			let month = myDate.getMonth() + 1;
			let day = myDate.getDate();
			let age = 0;

			if (val === 18) {
				age = myDate.getFullYear() - iden.substring(6, 10) - 1;
				sex = iden.substring(16, 17);
				birth = iden.substring(6, 10) + '-' + iden.substring(10, 12) + '-' + iden.substring(12, 14);
				if (iden.substring(10, 12) < month || (iden.substring(10, 12) == month && iden.substring(12, 14) <= day)) age++;
			}
			if (val === 15) {
				age = myDate.getFullYear() - iden.substring(6, 8) - 1901;
				sex = iden.substring(13, 14);
				birth = '19' + iden.substring(6, 8) + '-' + iden.substring(8, 10) + '-' + iden.substring(10, 12);
				if (iden.substring(8, 10) < month || (iden.substring(8, 10) == month && iden.substring(10, 12) <= day)) age++;
			}

			if (sex % 2 === 0) sex = '女';
			else sex = '男';
			this.form.gender = sex;
			birthr = birth + '';
			console.log(birthr);
		},


		// 请求身份证数据
		idea() {
			idces({ idCard: this.form.idCard }).then(response => {
				console.log(response);
				this.form.gender = response.data.gender;

				this.form.age = response.data.age
        if(response.data.code !== null){
          this.$set(this.form, 'code', response.data.code)

        }
				if (response.data.userName == null) {

          this.$set(this.form, 'userName', null)
				} else {

          this.$set(this.form, 'userName', response.data.userName)
				}

        this.form.phoneNum   = response.data.phoneNum
        if(response.data.houseType !==null){
          this.form.houseType   = response.data.houseType
        }
        this.form.nowIn   = response.data.nowIn
        this.form.remark   = response.data.remark
			});
		},


		// 取消按钮
		cancel() {
			this.opens = false;
			this.jiezhong = false;
			this.imashow = false;
      this.errorlog=false;
      this.nhyesfx = false
      this.form.czrkJzdzList = this.form.czrkJzdzList.splice(1)
			// this.reset();
		},
		gywoa() {
			console.log(this.form.isVaccination);
			if (this.form.isVaccination !== null) {
				if (this.form.isVaccination == '是') {
					// 接种疫苗
					this.naneme = false,
					this.shouwes = true;
				}else {
					this.naneme = true,
					this.shouwes = false,
					this.form.czrkJzdzList = [{
						provinceId: '',
						province: '',
						deptId: '',
						cityId: '',
						city: '',
						regionId:'',
						region: '',
						townId: '',
						town: '',
						villageId: '',
						village: '',
						nowIn:'',
            seleted:[],
            optiodne:[],
            plaed:'请选择居住地址',
					}
				]
				}
			}
		},
		gywoatwo() {
			console.log(this.queryParams.isVaccination);
			if (this.queryParams.isVaccination !== null) {
				if (this.queryParams.isVaccination == '是') {
					// 接种疫苗

					this.shouwestwo = false
				} else {

					this.shouwestwo = true
				}
			}
		},

		// 表单重置
		reset() {
			this.form = {
				id: undefined,
				age:'',
				code:'',
				houseType: '是',
				domicile: undefined,
				province: undefined,
				city: undefined,
				region: undefined,
				userName: undefined,
				gender: undefined,
				idCard: undefined,
				phoneNum: undefined,
				keyIndustries: undefined,
				isVaccination: undefined,
				vaccinationPlace: undefined,
				contraindication: undefined,
				nowIn: '',
        isConfirm:undefined,
        gridId:undefined,
				remark: undefined,
        villageTowns:undefined,
        village:undefined,
        czrkJzdzList: [
        	{
        		provinceId: '',
        		province: '',
        		deptId: '',
        		cityId: '',
        		city: '',
        		regionId:'',
        		region: '',
        		townId: '',
        		town: '',
        		villageId: '',
        		village: '',
        		nowIn:'',
        		disableg:false,
            optiodne:[],
            seleted:[],
            plaed:'请选择居住地址',
        	}

        ]
			};
			this.resetForm('form');
		},
		/** 搜索按钮操作 */
		handleQuery() {
			this.queryParams.pageNum = 1;
			console.log(this.queryParams)
			// if(this.queryParams.queryType == 'hj'){
			  this.getList();
			// }else if(this.queryParams.queryType == 'cz'){
			//   this.getListjuzhu();
			// }
		},
    handleQuerytj() {
    	// this.queryParams.pageNum = 1;
      if(this.nnd.length > 0){
        this.user.dept.deptName = ''
      }
       if(this.nnd.length == 1){
        this.tj.lenth = 1
        console.log(this.tj.lenth)
      }
       if(this.nnd.length == 2){
        this.tj.lenth = 1
      }
      if(this.nnd.length == 3){
        this.tj.lenth = 2
      }
      this.nhye = false
      listInfotj(this.tj).then(response => {
        this.jiezheList  = response.data.townDatas
        this.loading = false;
        this.nhye = true
      });
    	console.log(this.tj,this.user.dept.deptName,this.nnd.length)
    	  // this.getList();

    },
    resetQuerytj(){
      this.lser = []
      this.nnd = []
      this.tj.code = undefined
      this.tj.lenth = undefined
      this.handleQuerytj();
    },
		/** 重置按钮操作 */
		resetQuery() {
			this.nhue = false
			this.selectedtwo = []
			setTimeout( ()=>{
				this.nhue = true
			},100)
			this.queryParams.xm = undefined;
			this.queryParams.zjhm = undefined;
			this.queryParams.isNucleicAcid = undefined;
      this.queryParams.timeSlot = undefined
      this.queryParams.params.startTime = this.ShowDate('1')
      this.queryParams.params.endTime = this.ShowDate('0')
      this.queryParams.xzqh = undefined
      this.queryParams.province = undefined;
      this.queryParams.city = undefined;
      this.queryParams.region = undefined;
      this.queryParams.deptId = undefined
      this.queryParams.provinceIdXjd = undefined
      this.queryParams.cityIdXjd = undefined
      this.queryParams.regionIdXjd = undefined
      this.queryParams.villageTownsIdXjd = undefined
      this.queryParams.villageIdXjd = undefined;
      this.queryParams.provinceId = undefined
      this.queryParams.cityId = undefined
      this.queryParams.regionId = undefined
      this.queryParams.villageTownsId = undefined
      this.queryParams.cjqxqh = undefined
      this.listd = []
      this.lser = []
       this.queryParams.pageNum = 1,
			this.resetForm('queryForm');
			this.handleQuery();
		},
		// 多选框选中数据
		handleSelectionChange(selection) {
			this.ids = selection.map(item => item.id);
			this.single = selection.length !== 1;
			this.multiple = !selection.length;
		},
		/** 新增按钮操作 */
		handleAdd(data) {
      this.form = {}
      // this.nhyeswdga = []
      if(this.typeOptionsname.length == 0){
        this.getDicts('renyuanfenlei').then(response => {
        	this.typeOptionsname = response.data;
        });
      }
      if(this.typeOptionstyzandeh.length == 0){
        // 与户主关系
        this.getDicts('yuhuzhuguanxi').then(response => {
        	this.typeOptionstyzandeh = response.data;
        });
      }
      this.$set(this.nhyeswdga, 'nhus', [])
      this.$nextTick(() =>{
        this.$refs.myCascader.$refs.panel.clearCheckedNodes()
        this.$refs.myCascader.$refs.panel.activePath = []
      })
      this.nhyesfx = true
      console.log(this.nhyeswdga)			// this.reset();


        this.$set(this.form, 'czrkJzdzList', [
        	{
        		provinceId: '',
        		province: '',
        		deptId: '',
        		cityId: '',
        		city: '',
        		regionId:'',
        		region: '',
        		townId: '',
        		town: '',
        		villageId: '',
        		village: '',
        		nowIn:'',
        		disableg:false,
            optiodne:[],
            seleted:[],
            plaed:'请选择居住地址',
        	}

        ])
        this.form.id = null
        this.$set(this.form, 'age', null)
        this.$set(this.form, 'code', null)
        this.$set(this.form, 'houseType', '否')
      this.$set(this.form, 'domicile', null)
      this.$set(this.form, 'province', null)
      this.$set(this.form, 'city', null)
      this.$set(this.form, 'region', null)
      this.$set(this.form, 'userName', null)
      this.$set(this.form, 'gender', null)
      this.$set(this.form, 'idCard', null)
        this.$set(this.form, 'phoneNum', null)
      this.$set(this.form, 'keyIndustries', null)
      this.$set(this.form, 'isVaccination', null)
      this.$set(this.form, 'vaccinationPlace', null)
      this.$set(this.form, 'contraindication', null)
        this.$set(this.form, 'nowIn', '')
      this.$set(this.form, 'isConfirm', null)
      this.$set(this.form, 'gridId', null)
      this.$set(this.form, 'remark', null)
      this.$set(this.form, 'villageTowns', null)
      this.$set(this.form, 'village', null)
      this.loading = false
      console.log(data)
			this.opens = true;
			(this.naneme = false),
			(this.shouwes = false);
			this.villageTownshy = '';
			this.naiseurya = '';
			this.hsuej = '';
			this.title = '添加信息';
			this.jdourdjoaj = true;
      this.senlsduea = false
      this.jiezhong = false
			this.jue = true
      this.nhdyesfgh = '点击选择户籍地址'
       this.ndhesdweaf = '点击选择网格'
       this.nameutaiL = 0
       this.nhtrew = false
      this.mnyesfjer(0)
      if(data !== 0){
        this.form.code = data.code
        this.$set(this.form, 'houseType', '否')
      }else{
        this.$set(this.form, 'houseType', '是')
      }
			console.log(this.form)
		},

		/** 修改按钮操作 */
		handleUpdate(row) {
      this.opens = true;
      this.form = {}
if(this.typeOptionsname.length == 0){
    this.getDicts('renyuanfenlei').then(response => {
    	this.typeOptionsname = response.data;
    });
  }
  if(this.typeOptionstyzandeh.length == 0){
    // 与户主关系
    this.getDicts('yuhuzhuguanxi').then(response => {
    	this.typeOptionstyzandeh = response.data;
    });
  }
      this.$set(this.form, 'czrkJzdzList', [
        	{
        		provinceId: '',
        		province: '',
        		deptId: '',
        		cityId: '',
        		city: '',
        		regionId:'',
        		region: '',
        		townId: '',
        		town: '',
        		villageId: '',
        		village: '',
        		nowIn:'',
        		disableg:false,
            optiodne:[],
            seleted:[],
            plaed:'请选择居住地址',
        	}

        ])
        this.form.id = null
        this.$set(this.form, 'age', null)
        this.$set(this.form, 'code', null)
        this.$set(this.form, 'houseType', '否')
      this.$set(this.form, 'domicile', null)
      this.$set(this.form, 'province', null)
      this.$set(this.form, 'city', null)
      this.$set(this.form, 'region', null)
      this.$set(this.form, 'userName', null)
      this.$set(this.form, 'gender', null)
      this.$set(this.form, 'idCard', null)
        this.$set(this.form, 'phoneNum', null)
      this.$set(this.form, 'keyIndustries', null)
      this.$set(this.form, 'isVaccination', null)
      this.$set(this.form, 'vaccinationPlace', null)
      this.$set(this.form, 'contraindication', null)
        this.$set(this.form, 'nowIn', '')
      this.$set(this.form, 'isConfirm', null)
      this.$set(this.form, 'gridId', null)
      this.$set(this.form, 'remark', null)
      this.$set(this.form, 'villageTowns', null)
      this.$set(this.form, 'village', null)
      console.log(this.form,34567)
      this.nhyesaw = 1
			// this.reset();
			const id = row.id || this.ids;
			getInfo(id).then(response => {
        this.loading = false
				this.form = response.data;
				this.jue = false
        this.jiezhong = false
        this.nhdyesku = true
        this.nhtrew = true
        this.nhyeswdga.nhus = []
        if(this.form.houseType == '是'){
          //是户主
          this.shifouh = true
        }else{
          this.shifouh = false
        }
				if(response.data.province !== null && response.data.province !== ""){
					this.nhdyesfgh = response.data.province;
          if(response.data.city !== null && response.data.city !== ""){
            this.nhdyesfgh = response.data.province + '/' + response.data.city;
            if(response.data.region !== null && response.data.region !== ""){
            	this.nhdyesfgh = response.data.province + '/' + response.data.city + '/' + response.data.region;
              if(this.form.villageTowns !==null && this.form.villageTowns !=='' && this.form.villageTowns !== undefined){
                this.nhdyesfgh = response.data.province + '/' + response.data.city + '/' + response.data.region + '/' + this.form.villageTowns;
                if(this.form.village !==null && this.form.village !=='' && this.form.village !== undefined){
                  this.nhdyesfgh = response.data.province + '/' + response.data.city + '/' + response.data.region + '/' + this.form.villageTowns + '/' + this.form.village;
                }
              }
            }else{
            }
          }else{
          }
				}else{
					this.nhdyesfgh ='点击选择户籍地址'
				}
  this.nhyesfx = true
				if(response.data.czrkJzdzList.length !== 0 && response.data.czrkJzdzList !== null){
            response.data.czrkJzdzList.unshift(response.data.czrkJzdzList[0])
            this.mnyesfjerty(0)
          response.data.czrkJzdzList.filter(route =>{
            route.seleted = []
            if(route.province !== ""){
              route.plaed =  route.province
              if(route.city !== ""){
                route.plaed =  route.plaed + '/' + route.city
                if(route.city !== ""){
                  // route.plaed =  route.plaed + '/' + route.city
                  if(route.region !== ""){
                    route.plaed =  route.plaed + '/' + route.region
                    if(route.town !== ""){
                      route.plaed =  route.plaed + '/' + route.town
                      if(route.village !== ""){
                        route.plaed =  route.plaed + '/' + route.village
                      }
                    }
                  }
                }
              }
            }else{
              route.plaed = '请选择居住地址'
            }

          })
				}else{
            console.log(this.form.czrkJzdzList,58)
        }


        if(response.data.gridName !==null){
          this.ndhesdweaf = response.data.gridName
        }else{
          this.ndhesdweaf = '点击选择网格'
        }

				// this.onSelected(this.selected)
				setTimeout( ()=>{
					this.jue = true
				},100)
				// this.jue = true
				console.log(this.selected,98767)
				// if(this.form){
				if (this.form.isVaccination !== null) {
					if (this.form.isVaccination == '是') {
						// 接种疫苗
						(this.naneme = false), (this.shouwes = true);
					} else {
						(this.naneme = true), (this.shouwes = false);
					}
				} else {
					this.naneme = false;
					this.shouwes = false;
				}

				if (this.form.dictValue !== null && this.form.dictValue !== undefined) {
					this.jicheru(this.form.dictValue);
				}
				if (this.form.villageTowns !== null) {
					this.villageTownshy = this.form.villageTowns;
					if (this.form.village !== null) {
						this.villageTownshy = this.form.village;
						if (this.form.villagerGroup !== null) {
							this.villageTownshy = this.form.villagerGroup;
						}
					}
				}else{
					this.villageTownshy = '';
				}
        console.log(this.villageTownshy,3455)

				this.naiseurya = '';
				this.hsuej = '';
        console.log(this.form.czrkJzdzList,588)
				this.jdourdjoaj = false;
        this.senlsduea = true
				this.title = '查看编辑人口信息';
			});
		},
		chahe(data) {

     let nhdye = []
     nhdye = this.$refs['myCascader'].getCheckedNodes()[0].pathLabels
     console.log(nhdye)
      if(data.length == 1){
        this.form.provinceId = data[ data.length - 1];
        this.form.province = nhdye[ data.length - 1];
        this.$set(this.form, 'city', null)
        this.$set(this.form, 'cityId', null)
        this.$set(this.form, 'region', null)
        this.$set(this.form, 'regionId', null)
        this.$set(this.form, 'villageTowns', null)
        this.$set(this.form, 'villageTownsId', null)
        this.$set(this.form, 'villageId', null)
         this.$set(this.form, 'village', null)
      }else if(data.length == 2){
        this.form.cityId = data[ data.length - 1];
        this.form.city = nhdye[ data.length - 1];
        this.$set(this.form, 'region', null)
        this.$set(this.form, 'regionId', null)
        this.$set(this.form, 'villageTowns', null)
        this.$set(this.form, 'villageTownsId', null)
        this.$set(this.form, 'villageId', null)
         this.$set(this.form, 'village', null)
      }else if(data.length == 3){
        this.form.regionId = data[ data.length - 1];
        this.form.region = nhdye[ data.length - 1];
        this.$set(this.form, 'villageTowns', null)
        this.$set(this.form, 'villageTownsId', null)
        this.$set(this.form, 'villageId', null)
         this.$set(this.form, 'village', null)
      }else if(data.length == 4){
        this.form.villageTownsId = data[ data.length - 1];
        this.form.villageTowns = nhdye[ data.length - 1];
        this.$set(this.form, 'villageId', null)
         this.$set(this.form, 'village', null)
      }else if(data.length == 5){
        this.form.villageId = data[ data.length - 1];
        this.form.village = nhdye[ data.length - 1];
      }else{
        // this.nhdyesfgh = '点击选择户籍地址'
      }
      this.form.deptId = data[ data.length - 1];

			this.form.domicile = '';
      console.log(this.form)

		},
		chahetwo(data) {
			console.log(data)
      this.nnd = data
      if(data.length == 1){
        this.tj.code = data[ data.length - 1];
      }else if(data.length == 2){
        this.tj.code = data[ data.length - 1];
      }else if(data.length == 3){
        this.tj.code = data[ data.length - 1];
      }else if(data.length == 4){
        this.tj.code = data[ data.length - 1];
      }else if(data.length == 5){
        this.tj.code = data[ data.length - 1];
      }
		},

    // 居住地址搜索条件
    chahetwos(data) {
    	console.log(data)
      let nhdye = []
      nhdye = this.$refs['cdd'].getCheckedNodes()[0].pathLabels
      console.log(nhdye,36)
      this.nnd = nhdye
      // this.queryParams.xzqh = data[data.length - 1]
      console.log(data,this.queryParams.queryType)
      if(this.queryParams.queryType=='cz'){
        if(data.length == 1){
          this.queryParams.provinceIdXjd = data[ data.length - 1];
          this.queryParams.cityIdXjd = undefined
          this.queryParams.regionIdXjd = undefined
          this.queryParams.villageTownsIdXjd = undefined
          this.queryParams.villageIdXjd = undefined
        }else if(data.length == 2){
          this.queryParams.provinceIdXjd = undefined
          this.queryParams.cityIdXjd = data[ data.length - 1];
          this.queryParams.regionIdXjd = undefined
          this.queryParams.villageTownsIdXjd = undefined
          this.queryParams.villageIdXjd = undefined
        }else if(data.length == 3){
          this.queryParams.provinceIdXjd = undefined
          this.queryParams.cityIdXjd = undefined
          this.queryParams.regionIdXjd = data[ data.length - 1];
          this.queryParams.villageTownsIdXjd = undefined
          this.queryParams.villageIdXjd = undefined
        }else if(data.length == 4){
          this.queryParams.provinceIdXjd = undefined
          this.queryParams.cityIdXjd = undefined
          this.queryParams.regionIdXjd = undefined
          this.queryParams.villageTownsIdXjd = data[ data.length - 1];
          this.queryParams.villageIdXjd = undefined
        }else if(data.length == 5){
          this.queryParams.provinceIdXjd = undefined
          this.queryParams.cityIdXjd = undefined
          this.queryParams.regionIdXjd = undefined
          this.queryParams.villageTownsIdXjd = undefined
          this.queryParams.villageIdXjd = data[ data.length - 1];
        }
      }else if(this.queryParams.queryType =='hj'){
        if(data.length == 1){
          this.queryParams.provinceId = data[ data.length - 1];
          this.queryParams.villageId = undefined
          this.queryParams.cityId = undefined
          this.queryParams.regionId = undefined
          this.queryParams.villageTownsId = undefined
        }else if(data.length == 2){
          this.queryParams.provinceId = undefined
          this.queryParams.regionId = undefined
          this.queryParams.villageTownsId = undefined
          this.queryParams.villageId = undefined
          this.queryParams.cityId = data[ data.length - 1];
        }else if(data.length == 3){
          this.queryParams.cityId = undefined
          this.queryParams.provinceId = undefined
          this.queryParams.villageTownsId = undefined
          this.queryParams.villageId = undefined
          this.queryParams.regionId = data[ data.length - 1];
        }else if(data.length == 4){
          this.queryParams.provinceId = undefined
          this.queryParams.cityId = undefined
          this.queryParams.regionId = undefined
          this.queryParams.villageId = undefined
          this.queryParams.villageTownsId = data[ data.length - 1];
        }else if(data.length == 5){
          this.queryParams.provinceId = undefined
          this.queryParams.cityId = undefined
          this.queryParams.regionId = undefined
          this.queryParams.villageTownsId = undefined
          this.queryParams.villageId = data[ data.length - 1];
        }
      }

    },
    chahetwoswge(data){
      console.log(data)
      if(this.opens == false){
        return  false
      }
      this.form.gridId = data[data.length - 1]
      console.log(this.form.gridId)
    },
		/** 提交按钮 */
		submitForm(data) {
			this.$refs['form'].validate(valid => {
				console.log(this.selected);
				if (valid) {
          let reg = /^([1-6][1-9]|50)\d{4}(18|19|20)\d{2}((0[1-9])|10|11|12)(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$/;
          let _IDre15 =  /^([1-6][1-9]|50)\d{4}\d{2}((0[1-9])|10|11|12)(([0-2][1-9])|10|20|30|31)\d{3}$/;
          // 护照
           // let ncjsle = /^1[45][0-9]{7}$|(^[P|p|S|s]\d{7}$)|(^[S|s|G|g|E|e]\d{8}$)|(^[Gg|Tt|Ss|Ll|Qq|Dd|Aa|Ff]\d{8}$)|(^[H|h|M|m]\d{8,10}$)/;
           let ncjsle = /^[a-zA-Z0-9]{5,17}$/
           let nhyeli = /^[a-zA-Z]{5,17}$/
          // 港澳
          let gnse = /^([A-Z]\d{6,10}(\(\w{1}\))?)$/;
          // 台湾
          // let tw = /^\d{8}|^[a-zA-Z0-9]{10}|^\d{18}$/
          var tw =  /^[0-9]{8}$/;
           var twe = /^[0-9]{10}$/;
          // 校验身份证：
          console.log(reg.test(this.form.idCard),23741)
          if ( reg.test(this.form.idCard)|| _IDre15.test(this.form.idCard)) {
          	// this.idea();
          	// this.go(this.form.idCard.length);
          	// callback()
          } else {
            if(ncjsle.test(this.form.idCard) || nhyeli.test(this.form.idCard)){
               console.log(3)
            }else{
              if(gnse.test(this.form.idCard)  ){
                  console.log(4)
              }else{
                if(tw.test(this.form.idCard) || twe.test(this.form.idCard)){
                  console.log(5)
                }else{
                  this.msgInfo('证件格式不正确');
                  return false
                }

                // return false
              }

            }
          	// callback(new Error('身份证号码不正确'))
          }
          let redw = /^(13[0-9]|14[01456879]|15[0-35-9]|16[2567]|17[0-8]|18[0-9]|19[0-35-9])\d{8}$/;
          console.log(this.form)
          console.log(redw.test(this.form.phoneNum))
          if (this.form.phoneNum == null) {
          	// this.idea();
          	// this.go(this.form.idCard.length);
          	// callback()
          } else{
            if(this.form.phoneNum !== ''){
              if(redw.test(this.form.phoneNum)){

              }else{
                this.msgInfo('手机号码不正确');
                return false
              }
            }
          	// callback(new Error('身份证号码不正确'))
          }
          this.form.isConfirm = 'N'
					if (this.form.id != null) {
            console.log(this.ndheysfs)
            // this.nhyesaw = data
            console.log(this.nhyesaw)
            console.log(this.form.czrkJzdzList)
            if(this.nhyesaw == 1){
              this.form.czrkJzdzList = this.form.czrkJzdzList.splice(1)
            }else if(this.nhyesaw == 2){
              console.log(this.form.czrkJzdzList[0])
            }
            console.log(this.form.czrkJzdzList)
            data = data +1
            this.nhyesaw = this.nhyesaw + 1
            this.senlsduea = false
            console.log(this.form.czrkJzdzList)
						updateInfo(this.form).then(response => {
              console.log(response)
              if(response.code == 200){
                 this.msgSuccess('修改成功');
                 this.nhyesaw = 1
                 this.opens = false;
                 this.nhyesfx = false
                 this.getList();
                 this.getTreeselectjuetj()
                 return false
              }else{
                this.nhyesaw = 1
                this.$message.error(response.msg + '请重新填写');
                this.opens = false
              }

						});
					} else {

            if(this.form.province == null){
              this.msgInfo('请填写户籍地址');
              return false
            }

            if(this.form.province == ''){
              this.msgInfo('请填写户籍地址');
              return false
            }


            if(this.form.czrkJzdzList[0].province == ''){
              this.msgInfo('请填写居住地址');
              return false
            }
            if(this.form.czrkJzdzList[0].province == null){
              this.msgInfo('请填写居住地址');
              return false
            }
						console.log(this.form)
            this.form.czrkJzdzList.filter(route =>{
              route.seleted = []
              route.optiodne = []
            })
						// return
						addInfo(this.form).then(response => {
              if(response.code == 200){
                this.msgSuccess('新增成功');
                this.opens = false;
                this.nhyesfx = false
                this.getList();
                this.getTreeselectjuetj()
                if(this.nhyesoder == 3){
                  this.jiezhong = true
                  // this.handleDeletefamide(this.bhdes)
                }
                this.nhyesoder = 4
              }else{
                this.$message.error(response.msg + '请重新填写');
                if(this.nhyesoder == 3){
                  this.jiezhong = true
                  // this.handleDeletefamide(this.bhdes)
                }
                this.nhyesoder = 4
                this.opens = false
              }
						});
					}
				}
			});
		},
		/** 删除按钮操作 */
		handleDelete(row) {
			const ids = row.id || this.ids[0];
      this.idfer = ids
      this.imashow = true;
      this.formgt = {}
		},
    submitFormfr(){
      // formgt
      if(this.formgt.houseType == null || this.formgt.houseType == undefined){
        this.$message.error('请选择变更原因');
        return  false
      }
      let nhue = {}
      nhue.status = this.formgt.houseType
      nhue.id = this.idfer
      delInfo(nhue).then(response => {
      	this.msgSuccess('变更成功');
      	this.imashow = false;
      	this.getList();
        this.getTreeselectjuetj()
      });
    },
    // 点击新增
    tijea(index) {
    	console.log(index+ 1)
    	this.nameutaiL = index+ 1
       this.cascaderKey = index + 1
    	this.form.czrkJzdzList.push({
    		provinceId: '',
    		province: '',
    		deptId: '',
    		cityId: '',
    		city: '',
    		regionId:'',
    		region: '',
    		townId: '',
    		town: '',
    		villageId: '',
    		village: '',
    		nowIn:'',
    		disableg:false,
        seleted:[],
        optiodne:[],
        plaed:'请选择居住地址',
    	});
      this.nhyeojd = true
      this.mnyesfjer(0)
    },
    // 点击删除
    naeyrfakjf(index, item) {
      console.log(this.form.czrkJzdzList.length,347)
    	var that = this
    	this.$confirm('是否确认删除信息?', '警告', {
    		confirmButtonText: '确定',
    		cancelButtonText: '取消',
    		type: 'warning'
    	})
    		.then(function() {
    			return that.delseeug(index,item)
    		})
    		.then(() => {
    		});

    },
    delseeug(index,item){
    	console.log(234)
    	if (this.form.czrkJzdzList.length == 1) {

        this.msgSuccess('只剩一条数据，无法删除');
    		return false;
    	}
    	if (this.jdourdjoaj == true) {
    		// 新增
    		this.form.czrkJzdzList.splice(index, 1);
    	} else {
    		// 修改
    		// ()
    		this.form.czrkJzdzList.splice(index, 1);
    	}
      this.msgSuccess('删除成功');
    },
    // 统计功能tjgtjg
    tjg(){

    },
		/** 导出按钮操作 */
		handleExport() {
        var heuia = {
                        tableName: "vaccine_info",
                        empty: false,
                        condition: {}
                    }
                    var that=this;
                    heuia.condition = this.queryParams
        			const queryParams = this.queryParams
              queryParams.pageNum = undefined
              queryParams.pageSize= undefined
              queryParams.queryType = 'hj'
              this.download('boman-web-core/core/account/exportHsd', {
                ...queryParams
              }, `导出信息.xlsx`)




		},
    /** 导出常住按钮操作 */
    handleExports() {
        var heuia = {
                        tableName: "vaccine_info",
                        empty: false,
                        condition: {}
                    }
                    var that=this;
                    heuia.condition = this.queryParams
        			const queryParams = this.queryParams
              queryParams.pageNum = undefined
              queryParams.pageSize= undefined
              queryParams.queryType = 'cz'
              this.download('boman-web-core/core/account/exportCz', {
                ...queryParams
              }, `常住数据表格.xlsx`)





    },
    // 文件上传中处理
    handleFileUploadProgress(event, file, fileList) {
      this.upload.isUploading = true;
    },
    // 文件上传成功处理
    handleFileSuccess(response, file, fileList) {
      this.upload.open = false;
      this.upload.isUploading = false;
      this.$refs.upload.clearFiles();
      this.$alert(response.msg, "导入结果", { dangerouslyUseHTMLString: true });
      this.getList();
    },
   // 提交上传文件
   submitFileForm() {

     this.$refs.upload.submit();
   },
   nske(){
     console.log(345)
           this.upload.open = false;
   },
   /** 下载模板操作 */
   importTemplate() {

   },
   // 下载模板
   handleDeleteda(){
     window.open("https://qsfy.qs163.cn/statics/template/死亡人员导入模板.xlsx")
   },
		// 点击查看
		chakei(row) {
			console.log(row);
      let nhyes= {pageNum: 1,
      pageSize: 10,}
      this.nhyesoder = row
      if(row == 0){
        // 新增
       listInfotjxz(this.ndhuwosdjh).then(response => {
				// this.msgSuccess('操作成功');
					this.jiezheList = response.rows
          this.totalfr = response.total
				})
      } else if(row == 1){
        // 减少
        listInfotjjs(this.ndhuwosdjh).then(response => {
        				// this.msgSuccess('操作成功');
        					this.jiezheList = response.rows
                  this.totalfr = response.total

      }	)
          }


			this.jiezhong = true;
		},
    // 查看家庭成员信息
    handleDeletefamide(row){
      this.nhyesoder = 3
      this.bgtes= []
	    this.jiezhong = true;
      this.lser = []
      this.nhye = false
        getUserProfile().then(response => {
          this.user = response.data;
        });
        listInfotj().then(response => {
          this.nhye = true
          this.jiezheList = response.data.townDatas

          this.loading = false;
        });

    },
    /** 导入按钮操作 */
    handleImport() {
      // this.getDicts('data_sources').then(response => {
      	// this.typeOptionstimesgt = response.data;
        this.upload.title = "数据导入";
        this.upload.open = true;
      // });

    },
    // 获取屏幕高度
              showFilterForm () {
                    this.filterActive = !this.filterActive
                    this.changeTableMaxHeight()
                  },

                  changeTableMaxHeight () {
                    let height = document.body.offsetHeight // 网页可视区域高度
                    // if (this.filterActive) {
                    //   this.tableMaxHeight = height - 320
                    // } else {
                      this.tableMaxHeight = height - 250
                    // }
                    console.log(height)
                  },

  // 判断是否选择户主
  changese(){
    console.log(this.form.houseType)
    if(this.form.houseType == '是'){
      this.form.code = this.form.idCard
      this.nhe = false
    }else{
      this.form.code != this.form.idCard
      this.nhe = true
    }
  },
  // 常住人口
  chajnd(data){
   this.queryParams.queryType = 'cz'
   this.njkis = 'cz'
   this.queryParams.pageNum = 1
   this.total = 0
   // this.queryParams.status = data
   this.queryParams.province = undefined;
   this.queryParams.city = undefined;
   this.queryParams.region = undefined;
   this.queryParams.deptId = undefined
   this.queryParams.provinceIdXjd = undefined
   this.queryParams.cityIdXjd = undefined
   this.queryParams.regionIdXjd = undefined
   this.queryParams.villageTownsIdXjd = undefined
   this.queryParams.villageIdXjd = undefined;
   this.queryParams.provinceId = undefined
   this.queryParams.cityId = undefined
   this.queryParams.regionId = undefined
   this.queryParams.villageTownsId = undefined
   this.queryParams.villageId = undefined
   this.listd = []
   this.lser = []
   this.nhykis = false
   this.nhyki = true
   this.nhslke = data
    this.getListjuzhu();
  },
  // 户籍人口
  chajnds(){
    this.nhykis = true
    this.nhyki = false
    this.queryParams.pageNum = 1
   this.queryParams.queryType = 'hj'
   this.total = 0
   this.njkis = 'hj'
   this.queryParams.province = undefined;
   this.queryParams.city = undefined;
   this.queryParams.region = undefined;
   this.queryParams.deptId = undefined
   this.queryParams.provinceIdXjd = undefined
   this.queryParams.cityIdXjd = undefined
   this.queryParams.regionIdXjd = undefined
   this.queryParams.villageTownsIdXjd = undefined
   this.queryParams.villageIdXjd = undefined;
   this.queryParams.provinceId = undefined
   this.queryParams.cityId = undefined
   this.queryParams.regionId = undefined
   this.queryParams.villageTownsId = undefined
   this.queryParams.villageId = undefined
   this.listd = []
   this.lser = []
   this.getList();
  },
  // 变更历史
  chajndsls(row){
   let nhduw = {}
   nhduw.id = row.id
   // biangneg
   this.getListls(nhduw);
  },
  // 确认死亡
  siw(row){
   this.$confirm('此操作将永久删除该文件, 是否继续?', '提示', {
             confirmButtonText: '确定',
             cancelButtonText: '取消',
             type: 'warning'
           }).then(() => {
             this.$message({
               type: 'success',
               message: '删除成功!'
             });
           }).catch(() => {
             this.$message({
               type: 'info',
               message: '已取消删除'
             });
           });
  },

  // 一键确认
  xinxiheu(){
    let nchesr = []
    nchesr = this.bgtes
    console.log(nchesr)
    listInfotjjssbule(nchesr).then(response => {
      if(response.code == 200){
        this.msgSuccess('操作成功')
        this.jiezhong = false
          this.getList();
        this.getTreeselectjuetj()
      }
      				// this.msgSuccess('操作成功');
    })
  },
  xinxihe(){
   this.$refs['form'].validate(valid => {
   	console.log(this.selected);
   	if (valid) {
let reg = /^([1-6][1-9]|50)\d{4}(18|19|20)\d{2}((0[1-9])|10|11|12)(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$/;
      let _IDre15 =  /^([1-6][1-9]|50)\d{4}\d{2}((0[1-9])|10|11|12)(([0-2][1-9])|10|20|30|31)\d{3}$/;
      // 护照
       // let ncjsle = /^1[45][0-9]{7}$|(^[P|p|S|s]\d{7}$)|(^[S|s|G|g|E|e]\d{8}$)|(^[Gg|Tt|Ss|Ll|Qq|Dd|Aa|Ff]\d{8}$)|(^[H|h|M|m]\d{8,10}$)/;
       let ncjsle = /^[a-zA-Z0-9]{5,17}$/
       let nhyeli = /^[a-zA-Z]{5,17}$/
      // 港澳
      let gnse = /^([A-Z]\d{6,10}(\(\w{1}\))?)$/;
      // 台湾
      // let tw = /^\d{8}|^[a-zA-Z0-9]{10}|^\d{18}$/
      var tw =  /^[0-9]{8}$/;
       var twe = /^[0-9]{10}$/;
      // 校验身份证：
      console.log(reg.test(this.form.idCard),23741)
			if ( reg.test(this.form.idCard)|| _IDre15.test(this.form.idCard)) {
				// this.idea();
				// this.go(this.form.idCard.length);
				// callback()
			} else {
        if(ncjsle.test(this.form.idCard) || nhyeli.test(this.form.idCard)){
           console.log(3)
        }else{
          if(gnse.test(this.form.idCard)  ){
              console.log(4)
          }else{
            if(tw.test(this.form.idCard) || twe.test(this.form.idCard)){
              console.log(5)
            }else{
              this.msgInfo('证件格式不正确');
              return false
            }

            // return false
          }

        }
				// callback(new Error('身份证号码不正确'))
			}
       let redw = /^(13[0-9]|14[01456879]|15[0-35-9]|16[2567]|17[0-8]|18[0-9]|19[0-35-9])\d{8}$/;
       console.log(this.form)
       console.log(redw.test(this.form.phoneNum))
       if (this.form.phoneNum == null) {
       	// this.idea();
       	// this.go(this.form.idCard.length);
       	// callback()
       } else{
         if(this.form.phoneNum !== ''){
           if(redw.test(this.form.phoneNum)){

           }else{
             this.msgInfo('手机号码不正确');
             return false
           }
         }
        }
   		if (this.form.id != null) {
   			// this.form.nowIn = this.naiseurya + this.form.nowIn;
   			// this.form.domicile = this.hsuej + this.form.domicile;
          console.log(this.form.czrkJzdzList)
          if(this.nhyesaw == 1){
            this.form.czrkJzdzList = this.form.czrkJzdzList.splice(1)
          }else if(this.nhyesaw == 2){
            console.log(this.form.czrkJzdzList[0])
            // this.form.czrkJzdzList.unshift(this.form.czrkJzdzList[0])
          }
          console.log(this.form.czrkJzdzList)
          // data = data +1
          this.nhyesaw = this.nhyesaw + 1
          this.senlsduea = false
          this.form.isConfirm = 'Y'
          console.log(this.form.czrkJzdzList)
          updateInfo(this.form).then(response => {
            console.log(response)
            if(response.code == 200){
               this.msgSuccess('操作成功');
               this.nhyesaw = 1
               this.opens = false;
               this.nhyesfx = false
               this.getList();
               this.getTreeselectjuetj()
               return false
            }else{

              this.nhyesaw = 1
              this.$message.error(response.msg + '请重新填写');

              this.opens = false
            }


          });
   		} else {

   		}
   	}
   });
  },
  // 信息同步
  xinxtb(){
   listInfotjjssquer(this.bhdes.code).then(response => {
     if(response.code == 200){
       this.msgSuccess(response.msg)
       listInfotjjsfaml(this.bhdes.code).then(response => {
                  this.bgtes = []
           				this.jiezheList = response.data
                  this.jiezheList.filter(rout =>{
                       this.bgtes.push(rout.id)
                     })
              console.log(this.bgtes,456)
                     this.totalfr = 0

         })
     }
   })
  },
  // click(){
    click(event) {
      console.log(event)
          this.$nextTick(() => {
            let d = document.getElementsByClassName("cascader"+ this.ids)
            this.nameutaiL +'s'
            if( d[event] && !d[event].onclick ){
              d[event].onclick = function(e) {
                console.log(e);
                if( e.target.className == "el-cascader-node__label" ){
                  e.target.previousElementSibling.click();
                }
              }
            }
          });
        },
        clicks(event) {
              this.$nextTick(() => {
                let d = document.getElementsByClassName("cascader"+'' +this.id);
                if( d[0] && !d[0].onclick ){
                  d[0].onclick = function(e) {
                    console.log(e);
                    if( e.target.className == "el-cascader-node__label" ){
                      e.target.previousElementSibling.click();
                    }
                  }
                }
              });
            },
            // 当前时间的前一周
            ShowDate(date){
                        var num = date
                        let n = num;
                        let d = new Date();
                        let year = d.getFullYear();
                        let mon = d.getMonth() + 1;
                        let day = d.getDate();
                        if(day <= n) {
                            if(mon > 1) {
                                mon = mon - 1;
                            } else {
                                year = year - 1;
                                mon = 12;
                            }
                        }
                        d.setDate(d.getDate() - n);
                        year = d.getFullYear();
                        mon = d.getMonth() + 1;
                        day = d.getDate();
                         let h = d.getHours();
                         h = h < 10 ? ('0' + h) : h;
                         let m = d.getMinutes();
                         m = m < 10 ? ('0' + m) : m;
                         let s = d.getSeconds();
                          s = s < 10 ? ('0' + s) : s;

                        let ss = year + "-" + (mon < 10 ? ('0' + mon) : mon) + "-" + (day < 10 ? ('0' + day) : day) +' '    + h +':' + m + ':' + s;
                        return ss;
                    }

  // }
	}
};
</script>
<style lang="scss">
  .tabsty {
    .el-table .el-table__header-wrapper th {
      background-color: #7bcbff;
      color: #fff;
      border:0 !important;
    }
    .el-table--striped .el-table__body tr.el-table__row--striped td {
      background-color: #e9f1f7;
    }
    .el-table--group,
    .el-table--border {
      // border-color: #0CA0FF;
      border: 1px solid #0CA0FF;
    }
  }
  .nhkhv{
    display: flex;
    align-items: center;
    span{
      width: 30%;
      font-size: 14px;
      i{
        color: red;
        font-size: 14px;
        margin-right: 5px;
      }
    }
  }
  .placf {
    .el-input {
      .el-input__inner::placeholder{
        color: #333;
      }
      /* 谷歌 */
          .el-input__inner::-webkit-input-placeholder {
             color: #333;
          }
           /* 火狐 */
         .el-input__inner:-moz-placeholder {
              color: #333;
          }
           /*ie*/
         .el-input__inner:-ms-input-placeholder {
              color: #333;
          }
    }

  }
	.jdueuh{
		.el-form-item__label {
			width: 0px !important;
		}
		.el-form-item__content {
			margin-left: 10px !important;
			// width: 70%;
		}
	}
	.ijeuhdy{
		.el-form-item__label {
			width: 80px !important;
		}
		.el-form-item__content {
			margin-left: 80px !important;
			// width: 70%;
		}
	}
	.znshu{
		.el-form-item__label {
			width: 80px !important;
			// padding-left: 30px;
		}
		.el-form-item__content {
			margin-left: 80px !important;

			// width: 70%;
		}
		.el-input__inner{
			padding-left: 0 !important;
		}
	}
	.heioangd{
		.el-form-item__label {
			width: 70px !important;
		}
		.el-form-item__content {
			margin-left: 70px !important;
			// width: 70%;
		}
	}
.hues {
	.area-select {
		margin-left: 0 !important;
		margin-right: 10px;
	}
}
.jehak {
	.el-form-item {
		width: 100%;
	}
	.el-form-item__content {
		width: 60%;
	}
}
.oiuyty {
	.el-form-item__label {
		width: 80px !important;
	}
	.el-form-item__content {
		margin-left: 80px !important;
		// width: 70%;
	}
	input {
		padding-right: 0 !important;
	}
}
.el-dialog__body {
	padding-top: 0;
	padding-bottom: 0;
}
.jhy {
	// width: 100%;
	// .el-form-item__content {
	// 	width: 100%;
	// 	margin-left: 0 !important;
	// }
	.el-form-item__content {
		margin-left: 55px !important;
		// width: 70%;
	}
	.el-form-item__label {
		width: 55px !important;
	}
}
.ehiqya {
	.el-form-item__content {
		display: flex;
		.jdidur {
			flex: 1;
			margin-left: 10px;
			// text-align: left;
			display: flex;
		}
	}
	.upload-demo {
		display: flex;
	}
}
.jdoier{
	display: flex;
	align-items: center;
	.upload-demo {
		display: flex;
	}
}
.hueyde {
	width: 18px;
	height: 18px;
	margin: 0 5px;
	margin-right: 10px;
}
.hueydele {
	width: 15px;
	height: 18px;
}
.hyeoa {
	height: 100%;
	display: flex;
	align-items: center;
}
.hjdoecdre {
	// margin-top: 50%;
	transform: translateY(50%);
}
.ojhgy {
	.el-dialog {
		padding-bottom: 40px;
		padding-top: 10px;
	}
	.el-dialog__header {
		padding-bottom: 20px;
	}
	.el-table .cell {
		line-height: 50px;
	}
}
.hueya{
	margin-left: 0 !important;
}
.iejghiadh{
	.el-input__inner{
		padding-right: 0 !important;
		padding-left: 5px !important;
	}
}
.nhoesf{
  span:hover{
    cursor:pointer
  }
}
</style>
